ZenLib::Thread Class Reference

Thread manipulation. More...

`#include <Thread.h>`

## Public Types

enum | returnvalue { Ok , IsNotRunning , Incoherent , Resource }

## Public Member Functions

| Thread ()
virtual | ~Thread ()
returnvalue | Run ()
returnvalue | RunAgain ()
returnvalue | Pause ()
returnvalue | RequestTerminate ()
returnvalue | ForceTerminate ()
bool | IsRunning ()
bool | IsTerminating ()
bool | IsExited ()
void | Priority_Set (int8s Priority)
virtual void | Entry ()
returnvalue | Internal_Exit ()

## Protected Member Functions

void | Sleep (std::size_t Millisecond)
void | Yield ()

## Detailed Description

Thread manipulation.

## Member Enumeration Documentation

## returnvalue

enum ZenLib::Thread::returnvalue

Enumerator
Ok |
IsNotRunning |
Incoherent |
Resource |

## Constructor & Destructor Documentation

## Thread()

ZenLib::Thread::Thread | ( |  | ) |

## ~Thread()

virtual ZenLib::Thread::~Thread | ( |  | ) |

virtual

## Member Function Documentation

## Entry()

virtual void ZenLib::Thread::Entry | ( |  | ) |

virtual

## ForceTerminate()

returnvalue ZenLib::Thread::ForceTerminate | ( |  | ) |

## Internal_Exit()

returnvalue ZenLib::Thread::Internal_Exit | ( |  | ) |

## IsExited()

bool ZenLib::Thread::IsExited | ( |  | ) |

## IsRunning()

bool ZenLib::Thread::IsRunning | ( |  | ) |

## IsTerminating()

bool ZenLib::Thread::IsTerminating | ( |  | ) |

## Pause()

returnvalue ZenLib::Thread::Pause | ( |  | ) |

## Priority_Set()

void ZenLib::Thread::Priority_Set | ( | int8s | Priority | ) |

## RequestTerminate()

returnvalue ZenLib::Thread::RequestTerminate | ( |  | ) |

## Run()

returnvalue ZenLib::Thread::Run | ( |  | ) |

## RunAgain()

returnvalue ZenLib::Thread::RunAgain | ( |  | ) |

## Sleep()

void ZenLib::Thread::Sleep | ( | std::size_t | Millisecond | ) |

protected

## Yield()

void ZenLib::Thread::Yield | ( |  | ) |

protected

The documentation for this class was generated from the following file:

- Thread.h